# QXmlInputSource Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QXmlInputSource()
- void QXmlInputSource(QIODevice dev)

### Constructor Properties

- prototype: The QXmlInputSource prototype object

### Prototype Object Properties

- String data()
- void fetchData()
- char next()
- void reset()
- void setData(QByteArray dat)

### Instance Properties

QXmlInputSource objects have no special properties beyond those inherited from the QXmlInputSource prototype object.